summaryrefslogtreecommitdiffstats
path: root/audio/xmms-shn/xmms-shn.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'audio/xmms-shn/xmms-shn.SlackBuild')
-rw-r--r--audio/xmms-shn/xmms-shn.SlackBuild16
1 files changed, 7 insertions, 9 deletions
diff --git a/audio/xmms-shn/xmms-shn.SlackBuild b/audio/xmms-shn/xmms-shn.SlackBuild
index 3ed9deef36..5d5e8c33e7 100644
--- a/audio/xmms-shn/xmms-shn.SlackBuild
+++ b/audio/xmms-shn/xmms-shn.SlackBuild
@@ -3,25 +3,23 @@
# Slackware build script for xmms-shn
# Written by mightaswell <mightaswell@gmail.com>
-PRGNAM=xmms-shn
-VERSION=${VERSION:-2.4.1}
+PRGNAM=xmms-shn
+VERSION=${VERSION:-2.4.1}
BUILD=${BUILD:-1}
-TAG=${TAG:-_SBo}
+TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
CWD=$(pwd)
-TMP=${TMP:-/tmp/SBo}
+TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
-OUTPUT=${OUTPUT:-/tmp}
+OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
@@ -37,7 +35,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -62,7 +60,7 @@ CXXFLAGS="$SLKCFLAGS" \
--localstatedir=/var \
--build=$ARCH-slackware-linux
-make
+make
make install DESTDIR=$PKG
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \